org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.log

## Class PageLockLogSnapshot

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.log.PageLockLogSnapshot

All Implemented Interfaces:
  PageLockDump

    public class PageLockLogSnapshot
    extends Object
    implements PageLockDump

Page lock log snapshot.

### Nested Class Summary

Nested Classes
`static class` `PageLockLogSnapshot.LogEntry` Log entry.

### Field Summary

Fields
`int` `headIdx` Head position.
`List<PageLockLogSnapshot.LogEntry>` `locklog` List of log entries.
`PageMetaInfoStore` `log`
`String` `name` Page lock log name.
`int` `nextOp` Next operation.
`long` `nextOpPageId` Next page id.
`int` `nextOpStructureId` Next data structure.
`long` `time` Creation time.

### Constructor Summary

Constructors
Constructor and Description
`PageLockLogSnapshot(String name, long time, int headIdx, PageMetaInfoStore log, int nextOp, int nextOpStructureId, long nextOpPageId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(DumpProcessor dumpProcessor)`
`long` `time()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public final String name

Page lock log name.

#### time

    public final long time

Creation time.

#### headIdx

    public final int headIdx

Head position.

#### locklog

    public final List<PageLockLogSnapshot.LogEntry> locklog

List of log entries.

#### log

    public final PageMetaInfoStore log

#### nextOp

    public final int nextOp

Next operation.

#### nextOpStructureId

    public final int nextOpStructureId

Next data structure.

#### nextOpPageId

    public final long nextOpPageId

Next page id.

### Constructor Detail

#### PageLockLogSnapshot

    public PageLockLogSnapshot(String name,
                               long time,
                               int headIdx,
                               PageMetaInfoStore log,
                               int nextOp,
                               int nextOpStructureId,
                               long nextOpPageId)

### Method Detail

#### apply

    public void apply(DumpProcessor dumpProcessor)

Specified by:
  `apply` in interface `PageLockDump`
Parameters:
  `dumpProcessor` - Apply dump processor.

#### time

    public long time()

Specified by:
  `time` in interface `PageLockDump`
Returns:
  Dump creation time.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021